Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: mailcommon
Upstream-Contact: kde-devel@kde.org
Source: https://invent.kde.org/pim/mailcommon

Files: *
Copyright: 2012, Andras Mantia <amantia@kde.org>
           2010, Andras Mantia <andras@kdab.com>
           2017, Daniel Vrátil <dvratil@kde.org>
           2004-2017, David Faure <faure@kde.org>
           2004, Ingo Kloecker <kloecker@kde.org>
           2021, Intevation GmbH
           2010, Klarälvdalens Datakonsult AB, a KDAB Group company <info@kdab.com>
           2009-2024, Laurent Montel <montel@kde.org>
           2001, Marc Mutz <mutz@kde.org>
           2007, Robert Gruber <rgruber@users.sourceforge.net>
           1996-1998, Stefan Taferner <taferner@kde.org>
           2005-2007, Till Adam <adam@kde.org>
           2003, Zack Rusin <zack@kde.org>
License: GPL-2+

Files: src/collectionpage/autotests/expirecollectionattributetest.cpp
       src/collectionpage/autotests/expirecollectionattributetest.h
       src/collectionpage/collectionexpirypage.cpp
       src/collectionpage/collectionexpirypage.h
       src/filter/autotests/filteractionaddheadertest.cpp
       src/filter/autotests/filteractionaddheadertest.h
       src/filter/autotests/filteractionaddtoaddressbooktest.cpp
       src/filter/autotests/filteractionaddtoaddressbooktest.h
       src/filter/autotests/filteractioncopytest.cpp
       src/filter/autotests/filteractioncopytest.h
       src/filter/autotests/filteractiondecrypttest.cpp
       src/filter/autotests/filteractiondecrypttest.h
       src/filter/autotests/filteractiondeletetest.cpp
       src/filter/autotests/filteractiondeletetest.h
       src/filter/autotests/filteractionencrypttest.cpp
       src/filter/autotests/filteractionencrypttest.h
       src/filter/autotests/filteractionexectest.cpp
       src/filter/autotests/filteractionexectest.h
       src/filter/autotests/filteractionforwardtest.cpp
       src/filter/autotests/filteractionforwardtest.h
       src/filter/autotests/filteractionmovetest.cpp
       src/filter/autotests/filteractionmovetest.h
       src/filter/autotests/filteractionplaysoundtest.cpp
       src/filter/autotests/filteractionplaysoundtest.h
       src/filter/autotests/filteractionredirecttest.cpp
       src/filter/autotests/filteractionredirecttest.h
       src/filter/autotests/filteractionremoveheadertest.cpp
       src/filter/autotests/filteractionremoveheadertest.h
       src/filter/autotests/filteractionreplytotest.cpp
       src/filter/autotests/filteractionreplytotest.h
       src/filter/autotests/filteractionrewriteheadertest.cpp
       src/filter/autotests/filteractionrewriteheadertest.h
       src/filter/autotests/filteractionsendfakedispositiontest.cpp
       src/filter/autotests/filteractionsendfakedispositiontest.h
       src/filter/autotests/filteractionsendreceipttest.cpp
       src/filter/autotests/filteractionsendreceipttest.h
       src/filter/autotests/filteractionsetstatustest.cpp
       src/filter/autotests/filteractionsetstatustest.h
       src/filter/autotests/filteractionsettransporttest.cpp
       src/filter/autotests/filteractionsettransporttest.h
       src/filter/autotests/filteractionunsetstatustest.cpp
       src/filter/autotests/filteractionunsetstatustest.h
       src/filter/autotests/filteractionwithaddresstest.cpp
       src/filter/autotests/filteractionwithaddresstest.h
       src/filter/autotests/filteractionwithurltest.cpp
       src/filter/autotests/filteractionwithurltest.h
       src/filter/autotests/filterconverttosieveresultdialogtest.cpp
       src/filter/autotests/filterconverttosieveresultdialogtest.h
       src/filter/autotests/filterimporterpathcachetest.cpp
       src/filter/autotests/filterimporterpathcachetest.h
       src/filter/autotests/filterlogtest.cpp
       src/filter/autotests/filterlogtest.h
       src/filter/autotests/gpghelper.cpp
       src/filter/autotests/gpghelper.h
       src/filter/autotests/invalidfilterdialogtest.cpp
       src/filter/autotests/invalidfilterdialogtest.h
       src/filter/autotests/invalidfilterinfotest.cpp
       src/filter/autotests/invalidfilterinfotest.h
       src/filter/autotests/invalidfilterinfowidgettest.cpp
       src/filter/autotests/invalidfilterinfowidgettest.h
       src/filter/autotests/invalidfilterlistwidgettest.cpp
       src/filter/autotests/invalidfilterlistwidgettest.h
       src/filter/autotests/invalidfilterwidgettest.cpp
       src/filter/autotests/invalidfilterwidgettest.h
       src/filter/autotests/itemcontexttest.cpp
       src/filter/autotests/itemcontexttest.h
       src/filter/autotests/mailfiltertest.cpp
       src/filter/autotests/mailfiltertest.h
       src/filter/filterimporter/autotests/filterimportbalsatest.cpp
       src/filter/filterimporter/autotests/filterimportbalsatest.h
       src/filter/filterimporter/autotests/filterimportclawmailtest.cpp
       src/filter/filterimporter/autotests/filterimportclawmailtest.h
       src/filter/filterimporter/autotests/filterimportergmailtest.cpp
       src/filter/filterimporter/autotests/filterimportergmailtest.h
       src/filter/filterimporter/autotests/filterimportevolutiontest.cpp
       src/filter/filterimporter/autotests/filterimportevolutiontest.h
       src/filter/filterimporter/autotests/filterimportprocmailtest.cpp
       src/filter/filterimporter/autotests/filterimportprocmailtest.h
       src/filter/filterimporter/autotests/filterimportsylpheedtest.cpp
       src/filter/filterimporter/autotests/filterimportsylpheedtest.h
       src/filter/filterimporter/autotests/filterimportthunderbirdtest.cpp
       src/filter/filterimporter/autotests/filterimportthunderbirdtest.h
       src/filter/filterimporter/autotests/filtertestkernel.cpp
       src/filter/filterimporter/autotests/filtertestkernel.h
       src/filter/filterlog.cpp
       src/filter/filterlog.h
       src/filter/tests/filterimporterexportergui.cpp
       src/filter/tests/filterimporterexportergui.h
       src/filter/tests/invalidfilterdialoggui.cpp
       src/filter/tests/kmfilterdialogtestgui.cpp
       src/filter/tests/kmfilterdialogtestgui.h
       src/folder/folderrequester.cpp
       src/folder/folderrequester.h
       src/search/autotests/searchpatterntest.cpp
       src/search/autotests/searchpatterntest.h
       src/search/autotests/searchruledatetest.cpp
       src/search/autotests/searchruledatetest.h
       src/search/autotests/searchruleencryptiontest.cpp
       src/search/autotests/searchruleencryptiontest.h
       src/search/autotests/searchrulenumericaltest.cpp
       src/search/autotests/searchrulenumericaltest.h
       src/search/autotests/searchrulestatustest.cpp
       src/search/autotests/searchrulestatustest.h
       src/search/autotests/searchrulestringtest.cpp
       src/search/autotests/searchrulestringtest.h
       src/search/autotests/searchruletest.cpp
       src/search/autotests/searchruletest.h
       src/snippets/autotests/snippetsmanagertest.cpp
       src/snippets/autotests/snippetsmanagertest.h
       src/widgets/redirectdialog.cpp
       src/widgets/redirectdialog.h
Copyright: 2003, Andreas Gungl <a.gungl@gmx.de>
           2004, Carsten Burghardt <burghardt@kde.org>
           2017, Daniel Vrátil <dvratil@kde.org>
           2013, Jonathan Marten <jjm@keelhaul.me.uk>
           2009-2024, Laurent Montel <montel@kde.org>
           2015, Tomas Trnka <tomastrnka@gmx.com>
License: GPL-2

Files: autotests/favoritestest.cpp
       src/collectionpage/attributeregistrar.cpp
       src/filter/autotests/filteractionmissingaccountdialogtest.cpp
       src/filter/autotests/filteractionmissingaccountdialogtest.h
       src/filter/autotests/filteractionmissingidentitydialogtest.cpp
       src/filter/autotests/filteractionmissingidentitydialogtest.h
       src/filter/autotests/filteractionmissingsoundurldialogtest.cpp
       src/filter/autotests/filteractionmissingsoundurldialogtest.h
       src/filter/autotests/filteractionmissingtagdialogtest.cpp
       src/filter/autotests/filteractionmissingtagdialogtest.h
       src/filter/autotests/filteractionmissingtemplatedialogtest.cpp
       src/filter/autotests/filteractionmissingtemplatedialogtest.h
       src/filter/autotests/filteractionmissingtransportdialogtest.cpp
       src/filter/autotests/filteractionmissingtransportdialogtest.h
       src/filter/autotests/filteractionpipethroughtest.cpp
       src/filter/autotests/filteractionpipethroughtest.h
       src/filter/dialog/filteractionmissingaccountdialog.cpp
       src/filter/dialog/filteractionmissingaccountdialog.h
       src/filter/dialog/filteractionmissingidentitydialog.cpp
       src/filter/dialog/filteractionmissingidentitydialog.h
       src/filter/dialog/filteractionmissingsoundurldialog.cpp
       src/filter/dialog/filteractionmissingsoundurldialog.h
       src/filter/dialog/filteractionmissingtagdialog.cpp
       src/filter/dialog/filteractionmissingtagdialog.h
       src/filter/dialog/filteractionmissingtemplatedialog.cpp
       src/filter/dialog/filteractionmissingtemplatedialog.h
       src/filter/dialog/filteractionmissingtransportdialog.cpp
       src/filter/dialog/filteractionmissingtransportdialog.h
       src/filter/filterconverter/filterconverttosievepurposemenuwidget.cpp
       src/filter/filterconverter/filterconverttosievepurposemenuwidget.h
       src/filter/filtermanager.cpp
       src/filter/filtermanager.h
       src/filter/tests/filteractionmissingaccountdialoggui.cpp
       src/filter/tests/filteractionmissingidentitydialoggui.cpp
       src/filter/tests/filteractionmissingsoundurldialogui.cpp
       src/filter/tests/filteractionmissingtagdialoggui.cpp
       src/filter/tests/filteractionmissingtemplatedialoggui.cpp
       src/filter/tests/filteractionmissingtransportdialoggui.cpp
       src/folder/foldertreewidgetproxymodel.cpp
       src/folder/foldertreewidgetproxymodel.h
       src/mailcommon_private_export.h
       src/mdn/mdnwarningjob.cpp
       src/mdn/mdnwarningjob.h
       src/snippets/autotests/snippetcustomfileattachmentnamedialogtest.cpp
       src/snippets/autotests/snippetcustomfileattachmentnamedialogtest.h
       src/snippets/autotests/snippetcustomfileattachmentnamewidgettest.cpp
       src/snippets/autotests/snippetcustomfileattachmentnamewidgettest.h
       src/snippets/snippetcustomfileattachmentnamedialog.cpp
       src/snippets/snippetcustomfileattachmentnamedialog.h
       src/snippets/snippetcustomfileattachmentnamewidget.cpp
       src/snippets/snippetcustomfileattachmentnamewidget.h
       src/snippets/snippetsmanager.cpp
       src/snippets/snippetsmanager.h
       src/snippets/snippetsmodel.cpp
       src/snippets/snippetsmodel.h
       src/snippets/snippetvariabledialog.cpp
       src/snippets/snippetvariabledialog.h
       src/widgets/redirectwidget.cpp
       src/widgets/redirectwidget.h
Copyright: 2013, Christian Mollekopf <mollekopf@kolabsys.com>
           2009, Constantin Berzan <exit3219@gmail.com>
           2007-2017, David Faure <faure@kde.org>
           2010, Klarälvdalens Datakonsult AB, a KDAB Group company <info@kdab.net>
           2009-2024, Laurent Montel <montel@kde.org>
           2015, Sandro Knauß <bugs@sandroknauss.de>
           2011, Tobias Koenig <tokoe@kde.org>
License: LGPL-2+

Files: src/snippets/autotests/snippetattachmentwidgettest.cpp
       src/snippets/autotests/snippetattachmentwidgettest.h
       src/snippets/autotests/snippetselectattachmentdialogtest.cpp
       src/snippets/autotests/snippetselectattachmentdialogtest.h
       src/snippets/autotests/snippetselectattachmentwidgettest.cpp
       src/snippets/autotests/snippetselectattachmentwidgettest.h
       src/snippets/autotests/snippetwidgettest.cpp
       src/snippets/autotests/snippetwidgettest.h
       src/snippets/snippetattachmentwidget.cpp
       src/snippets/snippetattachmentwidget.h
       src/snippets/snippetselectattachmentdialog.cpp
       src/snippets/snippetselectattachmentdialog.h
       src/snippets/snippetselectattachmentwidget.cpp
       src/snippets/snippetselectattachmentwidget.h
       src/snippets/snippetwidget.cpp
       src/snippets/snippetwidget.h
Copyright: 2019-2024, Laurent Montel <montel@kde.org>
License: LGPL-2+3+KDEeV

Files: src/job/backupjob.cpp
       src/job/backupjob.h
       src/tag/tag.cpp
       src/tag/tag.h
Copyright: 2009, Klarälvdalens Datakonsult AB, a KDAB Group company <info@kdab.com>
           2012-2024, Laurent Montel <montel@kde.org>
           2010, Thomas McGuire <mcguire@kde.org>
License: GPL-2+3+KDEeV

Files: CMakePresets.json
Copyright: 2021-2024, Laurent Montel <montel@kde.org>
License: BSD-3-Clause

Files: autotests/CMakeLists.txt
       CMakeLists.txt
       .git-blame-ignore-revs
       .gitignore
       .gitlab-ci.yml
       .kde-ci.yml
       metainfo.yaml
       sanitizers.supp
       src/CMakeLists.txt
       src/collectionpage/autotests/CMakeLists.txt
       src/designer/CMakeLists.txt
       src/filter/autotests/CMakeLists.txt
       src/filter/filterimporter/autotests/CMakeLists.txt
       src/filter/tests/CMakeLists.txt
       src/search/autotests/CMakeLists.txt
       src/snippets/autotests/CMakeLists.txt
Copyright: 2020-2024, Laurent Montel <montel@kde.org>
           None
License: CC0-1.0

Files: po/ca/*
       po/ca@valencia/*
       po/uk/*
Copyright: 2010-2018, This_file_is_part_of_KDE
License: LGPL-2.1+3+KDEeV

Files: debian/*
Copyright: 2016, Maximiliano Curia <maxy@debian.org>
           2024 Patrick Franz <deltaone@debian.org>
License: LGPL-2+

License: GPL-2
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; version 2 of the license.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 The complete text of the GNU General Public License version 2
 can be found in `/usr/share/common-licenses/GPL-2'.

License: GPL-2+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 The complete text of the GNU General Public License version 2
 can be found in `/usr/share/common-licenses/GPL-2'.

License: GPL-2+3+KDEeV
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of
 the License or (at your option) version 3 or any later version
 accepted by the membership of KDE e.V. (or its successor approved
 by the membership of KDE e.V.), which shall act as a proxy
 defined in Section 14 of version 3 of the license.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 The complete text of the GNU General Public License version 2 can be found in
 `/usr/share/common-licenses/GPL-2', likewise, the complete text of the GNU
 General Public License version 3 can be found in
 `/usr/share/common-licenses/GPL-3'.

License: LGPL-2+
 This library is free software; you can redistribute it and/or modify it
 under the terms of the GNU Library General Public License as published by
 the Free Software Foundation; either version 2 of the License, or (at your
 option) any later version.
 .
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
 License for more details.
 .
 The complete text of the GNU Library General Public License version 2
 can be found in `/usr/share/common-licenses/LGPL-2'.

License: LGPL-2+3+KDEeV
 This library is free software; you can redistribute it and/or modify
 it under the terms of the GNU Library General Public License as published
 by the Free Software Foundation; either version 2 of the License or
 ( at your option ) version 3 or, at the discretion of KDE e.V.
 ( which shall act as a proxy as in section 14 of the GPLv3 ), any later version
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 The complete text of the GNU Library General Public License version 2
 can be found in `/usr/share/common-licenses/LGPL-2', likewise,
 the complete text of the GNU Lesser General Public License version 3
 can be found in `/usr/share/common-licenses/LGPL-3'.

License: LGPL-2.1+3+KDEeV
 This file is distributed under the license LGPL version 2.1 or
 version 3 or later versions approved by the membership of KDE e.V.
 .
 The complete text of the GNU Lesser General Public License version 2.1
 can be found in `/usr/share/common-licenses/LGPL-2.1'.
 .
 The complete text of the GNU Lesser General Public License version 3
 can be found in `/usr/share/common-licenses/LGPL-3'.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 .
 1. Redistributions of source code must retain the copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: CC0-1.0
 CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL
 SERVICES. DISTRIBUTION OF THIS DOCUMENT DOES NOT CREATE AN ATTORNEY-CLIENT
 RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN "AS-IS" BASIS.
 CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE USE OF THIS DOCUMENT OR
 THE INFORMATION OR WORKS PROVIDED HEREUNDER, AND DISCLAIMS LIABILITY FOR
 DAMAGES RESULTING FROM THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS
 PROVIDED HEREUNDER.
 .
 Statement of Purpose
 .
 The laws of most jurisdictions throughout the world automatically confer
 exclusive Copyright and Related Rights (defined below) upon the creator and
 subsequent owner(s) (each and all, an "owner") of an original work of
 authorship and/or a database (each, a "Work").
 .
 On Debian systems, the complete text of the Creative Commons Zero v1.0 Universal
 license can be found in "/usr/share/common-licenses/CC0-1.0".
